Bug 1027365 - [abrt] bluez-5.10-2.fc20: _IO_default_xsputn: Process /usr/libexec/bluetooth/bluetoothd was killed by signal 11 (SIGSEGV)
Summary: [abrt] bluez-5.10-2.fc20: _IO_default_xsputn: Process /usr/libexec/bluetooth/...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Don Zickus
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9bbfbb447137a55d42128575024...
: 1039690 (view as bug list)
Depends On:
Blocks: F20FinalFreezeException
TreeView+ depends on / blocked
 
Reported: 2013-11-06 16:31 UTC by Jozef Mlich
Modified: 2015-08-02 23:58 UTC (History)
9 users (show)

Fixed In Version: bluez-5.12-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-13 05:34:40 UTC


Attachments (Terms of Use)
File: backtrace (607.21 KB, text/plain)
2013-11-06 16:31 UTC, Jozef Mlich
no flags Details
File: cgroup (147 bytes, text/plain)
2013-11-06 16:31 UTC, Jozef Mlich
no flags Details
File: core_backtrace (383.38 KB, text/plain)
2013-11-06 16:31 UTC, Jozef Mlich
no flags Details
File: dso_list (1.19 KB, text/plain)
2013-11-06 16:31 UTC, Jozef Mlich
no flags Details
File: environ (120 bytes, text/plain)
2013-11-06 16:31 UTC, Jozef Mlich
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-06 16:31 UTC, Jozef Mlich
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-06 16:31 UTC, Jozef Mlich
no flags Details
File: maps (5.84 KB, text/plain)
2013-11-06 16:31 UTC, Jozef Mlich
no flags Details
File: open_fds (1.17 KB, text/plain)
2013-11-06 16:31 UTC, Jozef Mlich
no flags Details
File: proc_pid_status (896 bytes, text/plain)
2013-11-06 16:32 UTC, Jozef Mlich
no flags Details
File: var_log_messages (2.81 KB, text/plain)
2013-11-06 16:32 UTC, Jozef Mlich
no flags Details

Description Jozef Mlich 2013-11-06 16:31:10 UTC
Version-Release number of selected component:
bluez-5.10-2.fc20

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/libexec/bluetooth/bluetoothd
crash_function: _IO_default_xsputn
executable:     /usr/libexec/bluetooth/bluetoothd
kernel:         3.11.7-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _IO_default_xsputn at genops.c:447
 #1 _IO_vfprintf_internal at vfprintf.c:1316
 #2 ___vsprintf_chk at vsprintf_chk.c:85
 #3 ___sprintf_chk at sprintf_chk.c:31
 #4 sprintf at /usr/include/bits/stdio2.h:33
 #5 ba2str at lib/bluetooth.c:79
 #6 btd_adapter_confirm_reply at src/adapter.c:4672
 #7 confirm_cb at src/device.c:3963
 #8 agent_unref at src/agent.c:227
 #9 confirm_cb at src/device.c:3967

Comment 1 Jozef Mlich 2013-11-06 16:31:22 UTC
Created attachment 820523 [details]
File: backtrace

Comment 2 Jozef Mlich 2013-11-06 16:31:26 UTC
Created attachment 820524 [details]
File: cgroup

Comment 3 Jozef Mlich 2013-11-06 16:31:32 UTC
Created attachment 820525 [details]
File: core_backtrace

Comment 4 Jozef Mlich 2013-11-06 16:31:36 UTC
Created attachment 820526 [details]
File: dso_list

Comment 5 Jozef Mlich 2013-11-06 16:31:40 UTC
Created attachment 820527 [details]
File: environ

Comment 6 Jozef Mlich 2013-11-06 16:31:44 UTC
Created attachment 820528 [details]
File: exploitable

Comment 7 Jozef Mlich 2013-11-06 16:31:47 UTC
Created attachment 820529 [details]
File: limits

Comment 8 Jozef Mlich 2013-11-06 16:31:52 UTC
Created attachment 820530 [details]
File: maps

Comment 9 Jozef Mlich 2013-11-06 16:31:56 UTC
Created attachment 820531 [details]
File: open_fds

Comment 10 Jozef Mlich 2013-11-06 16:32:00 UTC
Created attachment 820532 [details]
File: proc_pid_status

Comment 11 Jozef Mlich 2013-11-06 16:32:04 UTC
Created attachment 820533 [details]
File: var_log_messages

Comment 12 Martin 2013-12-05 15:32:20 UTC
reproducible: always

steps to reproduce:
1) put Bluetooth to discoverable mode
2) try to pair from phone to Fedora desktop

result: crash

This bug is caused by following change: http://fedoraproject.org/wiki/Changes/Bluez5


If I knew about this month sooner, I had proposed to follow the contingency plan, as described here: http://fedoraproject.org/wiki/Changes/Bluez5#Contingency_Plan

Change owners, please try to fix this bug soon as possible in after Final release updates.

Comment 13 Fedora Blocker Bugs Application 2013-12-05 16:18:28 UTC
Proposed as a Freeze Exception for 20-final by Fedora user martix using the blocker tracking app because:

 Result of broken Bluez5 Change, it's too late to switch back to Bluez4. At least, we should have Freeze Exception for this.

http://fedoraproject.org/wiki/Changes/Bluez5#Contingency_Plan

Comment 14 Mike Ruckman 2013-12-09 19:06:57 UTC
Discussed in 2013-12-09 Blocker Review meeting [1]. Voted an AcceptedFreezeException. This is a crasher in a common desktop function that may well be used on lives.

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2013-12-09/

Comment 15 Dan Mossor [danofsatx] 2013-12-09 19:21:16 UTC
*** Bug 1039690 has been marked as a duplicate of this bug. ***

Comment 16 Fedora Update System 2013-12-10 06:43:02 UTC
bluez-5.11-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bluez-5.11-2.fc20

Comment 17 Fedora Update System 2013-12-10 15:55:44 UTC
Package bluez-5.11-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bluez-5.11-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23113/bluez-5.11-2.fc20
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2013-12-11 13:00:00 UTC
bluez-5.12-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bluez-5.12-1.fc20

Comment 19 Kamil Páral 2013-12-11 21:48:15 UTC
It doesn't crash for me with bluez-5.12-1.fc20. I can pair PC->phone, but the opposite direction does not work. This is in the log:

Dec 11 22:38:32 medusa bluetoothd[770]: No agent available for request type 0
Dec 11 22:38:32 medusa bluetoothd[770]: device_request_pin: Operation not permitted

Comment 20 Bastien Nocera 2013-12-12 10:48:05 UTC
(In reply to Kamil Páral from comment #19)
> It doesn't crash for me with bluez-5.12-1.fc20. I can pair PC->phone, but
> the opposite direction does not work. This is in the log:
> 
> Dec 11 22:38:32 medusa bluetoothd[770]: No agent available for request type 0
> Dec 11 22:38:32 medusa bluetoothd[770]: device_request_pin: Operation not
> permitted

That means that you don't have something like gnome-shell, or a Bluetooth applet running.

Comment 21 Kamil Páral 2013-12-12 10:55:57 UTC
I'm using gnome-shell and gnome-bluetooth is installed. What else can be missing?

Comment 22 Fedora Update System 2013-12-12 23:18:44 UTC
bluez-5.12-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/bluez-5.12-2.fc20

Comment 23 Fedora Update System 2013-12-13 05:34:40 UTC
bluez-5.12-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2013-12-27 05:59:19 UTC
bluez-5.12-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.